/*basket*/
.fixed-cart {
    position: fixed;
    top: 190px;
    right: 20px;
    z-index: 10000000;
    border: 1px solid white;
    border-radius: 50%;
    width: 70px;
    height: 70px;
    background-color: white;
    box-shadow: 0px 1px 5px rgb(0 0 0 / 20%);
    visibility: hidden;
}

.basket-menu:before {
	content: '';
	display: block;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
    position: absolute;
}

.basket-menu:after {
	content: '';
	display: block;
    background: url(../../images/fixed-cart.svg) center center no-repeat;
    background-size: 30px 30px;
    width: 30px;
    height: 30px;
    position: absolute;
    top: 20px;
    right: 22px;
}

.basket-menu .count-products {
	display: block;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: #E31E24;
    font-size: 14px;
    line-height: 26px;
    color: #FFFFFF;
    position: absolute;
    text-align: center;
    top: 0;
    right: 0;
}

.fixed-cart:hover {
    box-shadow: 0 0 10px 5px rgba(221, 221, 221, 1);
}

.basket_display_block {
	animation: emergence 0.6s forwards;
}

.basket_display_none {
	animation: hide 0.6s forwards;
}

@keyframes hide {
	from {
		opacity: 1;
		visibility: visible;
	}

	to {
		opacity: 0;
		visibility: hidden;
	}
}

@keyframes emergence {
	from {
		opacity: 0;
		visibility: hidden;
	}

	to {
		opacity: 1;
		visibility: visible;
	}
}